require "slidepay"
require "spec_helper"

describe SlidePay::PostReport do
  def sfa
    [field: "created", condition: "greater_than", value: "12/12/2013"]
  end

  def search_filter_data
    return {
      csv:            false,
      email_address:  nil,
      html:           false,
      raw_data:       true,
      sfa:            sfa
    }.to_json
  end

  it "should have a report_type" do
    b = SlidePay::PostReport.new([])
    expect(b.report_type).to eq(:post)
  end

  it "should use a special type of report data structure" do
    b = SlidePay::PostReport.new(sfa)
    SlidePay.should_receive(:post).with(path: nil, data: search_filter_data, token: nil, api_key: nil, endpoint: nil).and_return(a_response_object)
    b.retrieve()
  end
end